Jump to content
Sign in to follow this  
Drongo69

Middle East Irregulars

Recommended Posts

New version frontpaged on the Armaholic homepage.

================================================

You are not registered on Armaholic, or at least not that we are aware of. In the future we offer the possibility to authors to maintain their own pages.

If you wish to be able to do this as well please register on Armaholic and let me know about it.

This is not mandatory at all! Only if you wish to control your own content you are welcome to join, otherwise we will continue to follow your work like we have always done ;)

When you have any questions already feel free to PM or email me!

Share this post


Link to post
Share on other sites
I'm getting the error:

I'm launching with PWS, all dependencies are installed and loading. One thing - PWS still shows Sudden's Russians as a dependency. I have reported this to the Six guys already so it should be fixed soon, but I don't know if it is related in some way to the error I am getting.

Thanks again for this addon - it's a must for asymmetrical warfare scenarios.

*edit - Six is updated and I'm still getting the error.

Yup, I'm getting the same error as well. I've manually disabled sudden's russians too, although 'mas_ru_rifle' should be one in Massi's update to his NATO weapons... sounds like a config mismatch?

Share this post


Link to post
Share on other sites

Must be, the mas_ru_rifle.pbo is where it should be.

Share this post


Link to post
Share on other sites

Just tried a fresh test mission with a large squad of irregulars. They all seem to be armed anyway!

Share this post


Link to post
Share on other sites

Opened up the mas_ru_rifle.pbo and nothing jumps out at me as being wrong - but then I don't know enough about configs to really tell. Agreed, it seems to work fine, just that error message on startup is annoying.

Share this post


Link to post
Share on other sites
Try removing driVehicles.pbo and see if the error still occurs.

Yes, it does.

Share this post


Link to post
Share on other sites

Could everyone who is getting the error please post their modlines? It doesn't happen on my PC.

Share this post


Link to post
Share on other sites

I get it even with just @dr_irregulars, @NATO_Russian..., which is what I used to test removing driVehicles.pbo.

Share this post


Link to post
Share on other sites

I have been getting other weird config errors referring to missing wounds.tex and some woman model, but they are difficult to reproduce.

Are you by any chance using the Aggressors mod? I started getting those same errors as soon as I loaded up Aggressors.

The wound textures are missing for the middle eastern enemies, and I'm pretty sure it has p3d files for women in there too.

Share this post


Link to post
Share on other sites

I'm getting a no entry 'bin\config.bin.cfgweaponns.mas_strela when I first start the editor. Dosent happen again unless I restart ARMA3. I also get the wounds dialog sometimes and use the aggressors mod.

Share this post


Link to post
Share on other sites
I get it even with just @dr_irregulars, @NATO_Russian..., which is what I used to test removing driVehicles.pbo.

Did you update to the just-released version of Massi's weapons? Drongo is now using that for this mod.

If you didn't update that, it's going to return errors referencing the launchers (and probably others) because they didn't exist in the previous version.

Share this post


Link to post
Share on other sites

Unfortunately I get no error log, but with the latest update my dedicated server no longer works. I've narrowed it down to the irregulars addon, and I have updated all of the required and optional addons. It runs fine on my personal pc, but the server does not show up unless I disable those addons.

I tried your latest hotfix. If there's anything I can do to help pinpoint the problem let me know. Hope to see this working soon!

Share this post


Link to post
Share on other sites
Did you update to the just-released version of Massi's weapons? Drongo is now using that for this mod.

If you didn't update that, it's going to return errors referencing the launchers (and probably others) because they didn't exist in the previous version.

Yup. I use PWS and make sure to update these things as soon as they are available. Could that be the common denominator with this problem? PWS???

Unfortunately I get no error log, but with the latest update my dedicated server no longer works. I've narrowed it down to the irregulars addon, and I have updated all of the required and optional addons. It runs fine on my personal pc, but the server does not show up unless I disable those addons.

I tried your latest hotfix. If there's anything I can do to help pinpoint the problem let me know. Hope to see this working soon!

DAH! Don't say that! I've been working on a mission for days that is supposed to go up on a dedicated!

Share this post


Link to post
Share on other sites

I don't use PWS, so I doubt that is the problem. I don't want to go blaming any other addons until I am fairly certain. I will redo the config and release an update in the next day or two.

Share this post


Link to post
Share on other sites

Tried the hotfix and I still get the error.

On a tangent, have you considered similar civilians? Just strip all the military gear off of them (and no hidden identities) but keep the rest and side them as CIV?

Thanks for your work on this! One of my all time favorites :)

Share this post


Link to post
Share on other sites

DAH! Don't say that! I've been working on a mission for days that is supposed to go up on a dedicated!

Well I certainly hope you have better luck. It scrapped one of our missions as well. You can use older versions of the mod and it will still function. We are, unfortunately, using alive - and the older version of Irregulars only functions with the CQB aspect of the mod. Regardless I have tried launching only Irregulars with the required weapons addons on the server and it still does not work with the latest addon.

Share this post


Link to post
Share on other sites

Another attempt at a hotfix:

https://www.dropbox.com/s/jp5n4gl4z8blnt3/DRIrregularsv042.zip

I don't get any errors when it is just Massi's weapons or his weapons and Africa pack. However, when I add the Aggressors mod, I get:

No entry 'bin\config.bin/CfgVehicles/I_soldier_F/Wounds.tex'
I have tried messing around with different things in the config, but can't find a solution. Any ideas?

Share this post


Link to post
Share on other sites
Another attempt at a hotfix:

https://www.dropbox.com/s/jp5n4gl4z8blnt3/DRIrregularsv042.zip

I don't get any errors when it is just Massi's weapons or his weapons and Africa pack. However, when I add the Aggressors mod, I get:

I have tried messing around with different things in the config, but can't find a solution. Any ideas?

The wound textures are missing from the Aggressors mod. The author mentions it in the known issues of the release thread.

Hopefully he's going to do something about it, but considering his general attitude toward people asking him for anything, I wouldn't hold my breath ;)

Share this post


Link to post
Share on other sites

lol, that's a little unfair !

He's been clear right from the start where the mod was going - most people can't be bothered to read the thread to find the answers they need.

More to the point it's responses like yours that de-motivate modders and encourages them to move on ! :)

*Chill pill all round*

Share this post


Link to post
Share on other sites
He's been clear right from the start where the mod was going - most people can't be bothered to read the thread to find the answers they need.

That doesn't justify being rude to the people who are excited about your mod, and want to see it develop further, but okay.

Share this post


Link to post
Share on other sites

Hi, i have the same problem and i ve found why.

Its a config problem. drirregulars.pbo and drrpg7.pbo declare a dependancies to mas_ru_rifle and mas_us_rifle.

But there is no mas_ru_rifle and mas_us_rifle config entry on NatoSF.

There is a confusion between the pbo name and the config entry.

Steps to fix the problem.

depbo drirregulars.pbo

fine the line requiredAddons[] = {"mas_ru_rifle","mas_us_rifle"}; in config.cpp

replace with requiredAddons[] = {"mas_weapons"};

depbo drrpg7.pbo.

find the line requiredAddons and do the same with

requiredAddons[] = {"A3_Weapons_F","A3_Characters_F_BLUFOR","A3_Characters_F_INDEP","A3_Weapons_F_beta","mas_weapons"};

The config entry for mas is in mas_us_rifle_c.pbo and the name of the entry is mas_weapons.

Its work for me now, i can place unit in editor. I remove drivehicles.pbo because i dont use AIA

Ok there is an other problem with drirregulars.pbo

There is not mas_PG7V config entry.

replace all mas_PG7V with PG7V_Fgp in the config.cpp

Now its work with no error

Edited by Lynx75

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this  

×